Libical API Documentation 3.0

Data Fields
icalrecur_iterator_impl Struct Reference

## Data Fields
short | by_indices [9]
short * | by_ptrs [9]
enum byrule | byrule
unsigned long | days [(((367+7)+(8 *sizeof(unsigned long)) -1)/(8 *sizeof(unsigned long)))]
short | days_index
struct icaltimetype | dtstart
struct icaltimetype | istart
struct icaltimetype | last
int | occurrence_no
short | orig_data [9]
struct icaltimetype | period_start
struct icaltimetype | rstart
struct icalrecurrencetype | rule

## Field Documentation

## ◆ by_ptrs

short* icalrecur_iterator_impl::by_ptrs[9]

Pointers into the by_* array elements of the rule

## ◆ orig_data

short icalrecur_iterator_impl::orig_data[9]

1 if there was data in the byrule

The documentation for this struct was generated from the following file:

- icalrecur.c